<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<?php 
	$idFlux = $flux->getId();
?>
	<div class="btnItem">
	<?php
		if($connexion->estConnecte())
		{
			?> 
		<div class="btnSelection">
			<button id="btnCocheTous" type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("TOUT_COCHER"));?>" onclick="cocheTout('<?php echo RSS_NON_LU . "," . RSS_ARCHIVE . "," . RSS_LU;?>', false)">
				<?php echo htmlspecialchars($langue->get("TOUT_COCHER"));?> 
			</button>
			<br>
			<button id="btnCocheNonLu" type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("COCHER_", $langue->get("NON_LU")));?>" onclick="cocheTout('<?php echo RSS_NON_LU;?>', true)">
				<?php echo htmlspecialchars($langue->get("COCHER_", $langue->get("NON_LU")));?> 
			</button>
		</div>
		
		
		
		
		
		
		
		<div class="btnAction">
		<button id="btnMarqueLu" type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("MARQUER_ELEMENT", (in_array(RSS_LU, $listeEtat) ? $langue->get("NON_LU") : $langue->get("LU"))));?>" onclick="marqueLu('<?php echo implode(",", $listeEtat);?>', <?php echo (in_array(RSS_LU, $listeEtat) ? "true" : "false");?>);">
				<?php echo htmlspecialchars($langue->get("MARQUER", (in_array(RSS_LU, $listeEtat) ? $langue->get("NON_LU") : $langue->get("LU"))));?> 
			</button>
			<br>
			<button id="btnMarqueArchive" type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("MARQUER_ELEMENT", $langue->get("ARCHIVE")));?>" onclick="marqueArchive('<?php echo implode(",", $listeEtat);?>');">
				<?php echo $langue->get("MARQUER", $langue->get("ARCHIVE"));?> 
			</button>
		</div><?php
		}
		//on n'affiche les autres boutons uniquement si on affiche le détail d'un seul flux
		if($idCatAffichee == 0)
		{
			//si on affiche tous les messages, le bouton doit faire afficher uniquement les items non-lus
			$title = $langue->get("VOIR_UNIQUEMENT", $langue->get("LU"));
			$listeEtatStr = RSS_LU;
			$id = $idFlux;
			$label = $langue->get("LABEL_BTN_VOIR", $langue->get("LU"));

			//sinon, le bouton doit faire afficher tous les items du flux
			if(in_array(RSS_LU, $listeEtat))
			{
				$title = $langue->get("VOIR_UNIQUEMENT", $langue->get("NON_LU"));
				$listeEtatStr = RSS_ARCHIVE . "," . RSS_NON_LU;
				$id = 0;
				$label = $langue->get("LABEL_BTN_VOIR", $langue->get("NON_LU"));
			}
		?>
		<div class="btnAction">
			<button id="btnVoirNonLu" type="button" class="bouton" title="<?php echo htmlspecialchars($title);?>" onclick="voirEtat(<?php echo $id;?>, '<?php echo $listeEtatStr;?>');">
				<?php echo $label;?> 
			</button>
			<br>
			<button id="btnActualiseFlux" type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("TITLE_BTN_ACTUALISE"));?>" onclick="actualiserFlux(<?php echo $idFlux;?>);">
				<?php echo $langue->get("TITLE_BTN_ACTUALISE");?> 
			</button>
		</div>
			<?php 
		}
	?> 
		<div class="btnAutre">
			<button id="btnVoirTous" type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("TITLE_BTN_DEPLIER_REPLIER"));?>" onclick="voirDetailTout(<?php echo ($config->getDetailLu() && $config->getChargerDetail() ? "true" : "false");?>)">
				<?php echo $langue->get("LABEL_BTN_DEPLIER_REPLIER");?> 
			</button>
			<br>
			<button id="btnInverseTri" type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("TITLE_BTN_INVERSE_TRI"));?>" onclick="inverseTri(<?php echo ($inverserTri ? "false" : "true") . ", $idFlux, '" . implode(",", $listeEtat) . "'";?>)">
				<?php echo $langue->get("LABEL_BTN_INVERSE_TRI");?>
			</button>
		</div>
	</div>
