<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 **/

//pour ne pas avoir d'id identique lors d'un second appel de ce fichier
if(!isset($cptLigneBtn))
{
	$cptLigneBtn = 0;
}
$cptLigneBtn++;
 ?> 
<div class="listeBouton">
<span class="iconAction fa fa-chevron-left" id="btnCacherListe<?php echo $item->getId().$cptLigneBtn;?>"title="<?php echo htmlspecialchars($langue->get("TITLE_BTN_CACHER_LISTE"));?>" onclick="cacherListe(); if(this.className == 'iconAction fa fa-chevron-left'){this.className = 'iconAction fa fa-chevron-right';}else{this.className = 'iconAction fa fa-chevron-left';}"></span>
<?php
	if($afficheDetail)
	{
		//btn détail affiche
?>	<span id="btnDetailDown<?=$cptLigneBtn.$item->getId()?>" class="iconAction affiche fa fa-chevron-down" title="<?php echo htmlspecialchars($langue->get("TITLE_DETAIL"));?>" onclick="<?php echo "montreCache('item" . $item->getId() ."', " . ($config->getChargerDetail() || $modeDetail? "0" : $item->getId()) . ", " . $item->getIdFlux() . ", this, " . ($config->getDetailLu() ? "'" . $item->getIdFlux() . "." . $item->getId() . "'" : "''") . ", " . ($config->getChargerDetail() ? "true" : "false") . ");";?>">
	</span><span id="btnDetailUp<?=$cptLigneBtn.$item->getId()?>" class="iconAction cache fa fa-chevron-up" title="<?php echo htmlspecialchars($langue->get("TITLE_DETAIL"));?>" onclick="<?php echo "montreCache('item" . $item->getId() ."', " . ($config->getChargerDetail() || $modeDetail? "0" : $item->getId()) . ", " . $item->getIdFlux() . ", this, " . ($config->getDetailLu() ? "'" . $item->getIdFlux() . "." . $item->getId() . "'" : "''") . ", " . ($config->getChargerDetail() ? "true" : "false") . ");";?>">
	</span> 
<?php
	}
	if($connexion->estConnecte())
	{
	?> 
	<span class="iconAction fa fa-eye" id="btnLu<?php echo $cptLigneBtn.$item->getId();?>" title="<?php echo htmlspecialchars($langue->get("MARQUER_ELEMENT", $langue->get("LU")));?>" onclick="<?php echo "marqueItemLu('" . $item->getIdFlux() . "." . $item->getId() ."', '" . implode(",", $listeEtat) . "');";?>"<?php echo $item->getEtat() != RSS_LU ? "" : " style=\"display : none;\""?>>
	</span>
	<span class="iconAction fa fa-eye-slash" id="btnNLu<?php echo $cptLigneBtn.$item->getId();?>" title="<?php echo htmlspecialchars($langue->get("MARQUER_ELEMENT", $langue->get("NON_LU")));?>" onclick="<?php echo "marqueItemNonLu('" . $item->getIdFlux() . "." . $item->getId() ."', '" . implode(",", $listeEtat) . "');";?>"<?php echo $item->getEtat() != RSS_NON_LU ? "" : " style=\"display : none;\""?>>
	</span>
	<span class="iconAction fa fa-star" id="btnArch<?php echo $cptLigneBtn.$item->getId();?>" title="<?php echo htmlspecialchars($langue->get("MARQUER_ELEMENT", $langue->get("ARCHIVE")));?>" onclick="<?php echo "marqueItemArchive('" . $item->getIdFlux() . "." . $item->getId() ."', '" . implode(",", $listeEtat) . "');";?>"<?php echo $item->getEtat() != RSS_ARCHIVE ? "" : " style=\"display : none;\""?>>
	</span>
	<?php 
		//btn de partage
		if($config->getUrlPartage() != "")
		{
				$url = str_replace(array("%u","%t"), array(urlencode($item->getLink()), urlencode($item->getTitle())), $config->getUrlPartage());
?> 
	<span id="btnPartage<?=$item->getId()?>" class="iconAction fa fa-share" title="<?php echo htmlspecialchars($langue->get("PARTAGER"));?>" onclick="<?php echo "window.open('$url','_blank');";?>">
	</span>
	<?php
		}
	}
?> 
</div>
