<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?> 
<div class="rssItemTitre flex">
	<div class="cellCkbx">
	<?php
	if($connexion->estConnecte() && !$modePopup)
	{
		?>
		<input name="lu[]" id="lu<?php echo $item->getIdFlux() . "." . $item->getId();?>" value="<?php echo $item->getIdFlux() . "." . $item->getId();?>" type="checkbox">
		<?php
	}
		?>
	</div>
	
	<?php 
	?>
		<?php
		$chargeDetail = $config->getChargerDetail() || ($pageAAfficher == PAGE_DETAIL_ITEM && $itemDetailAffiche);
	//affichage du favicon (par défaut, l'icone RSS)
	$cheminImg = CHEMIN_IMAGES_FEED_VIDE;
	if($fluxIt->getFavicon() != "" && $fluxIt->getFavicon() != $fluxIt->getLink())
	{
		$cheminImg = CHEMIN_FAVICON . $fluxIt->getFavicon();
	}
	$class = "icon";
	if(count($item->getListeEnclosure()) > 0)
	{
		$class = "icon contientMedia";
	}
	?>
	<div class="cellTitre">
		<span id="btnDetailDown1<?=$item->getId()?>" class="iconAction affiche fa fa-chevron-down" title="<?php echo htmlspecialchars($langue->get("TITLE_DETAIL"));?>" onclick="montreDetail(<?php echo "'item" . $item->getId() ."', " . ($chargeDetail ? "0" : $item->getId()) . ", " . $item->getIdFlux() . ", this, " . ($config->getDetailLu() ? "'" . $item->getIdFlux() . "." . $item->getId() . "'" : "''") . ", " . ($chargeDetail ? "true" : "false");?>);">
		</span><span id="btnDetailUp1<?=$item->getId()?>" class="iconAction cache fa fa-chevron-up" title="<?php echo htmlspecialchars($langue->get("TITLE_DETAIL"));?>" onclick="cacheDetail(<?php echo "'item" . $item->getId() ."', " . ($chargeDetail ? "0" : $item->getId()) . ", " . $item->getIdFlux() . ", this, " . ($config->getDetailLu() ? "'" . $item->getIdFlux() . "." . $item->getId() . "'" : "''") . ", " . ($chargeDetail ? "true" : "false");?>);">
		</span>
		<img src="<?php echo $cheminImg;?>" class="<?php echo $class;?>" title="<?php echo htmlspecialchars($fluxIt->getTitle());?>" alt="<?php echo htmlspecialchars($fluxIt->getTitle());?>" onclick="afficherDetail(<?php echo $fluxIt->getId() . ", '" . RSS_NON_LU . "," . RSS_ARCHIVE . "', 1";?>);">
		<a href="<?php echo $item->getLink();?>" id="aOrigine<?=$item->getIdFlux() . "." . $item->getId()?>" target="_blank" title="<?php echo htmlspecialchars($langue->get("TITLE_TITRE"));?>">
			<?php echo $item->getTitle() == "" ? $langue->get("TITRE_VIDE") : $item->getTitle();?>
		</a>
	</div>
	<div class="rssItemDate">
		<?php echo formatDate(strtotime($item->getDateAffichee()));?>
	</div>
</div>
