<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<ul class="listeFlux">
	<input name="timeStamp" id="timeStamp" type="hidden" value="<?php $time = time(); echo $time;?>">
	<?php 
		$temp = array();
		$cptFl = 0;
		$attente = 60000*$config->getFrequenceRafraichir(); //60000 = 1min pour la convertion (en min dans la configuration)
	
		//on ajoute l'appel AJAX qui va mettre à jour à flux tout seul
		//je fait un setTimeout() décalé pour qu'il n'y ai pas trop d'appel en même temps sur le serveur
		$decalage = 1000*$config->getDecalageRafraichissement();	//1000 = 1s : en seconde dans la configuration
		$idFlux_l = 0;
	
		//on affiche les catégories
		if(count($GLOBALS["listeCategorie"])>0)
		{
			foreach($GLOBALS["listeCategorie"] as $cat)
			{
				if($cat->getId() > 0)
				{
	?>
	<li class="liCategorie">
		<div class="divTitreCategorie">
			<div id="titreCat<?php echo $cat->getId();?>" onclick="montreCacheCategorie('cat<?php echo $cat->getId();?>')"<?php echo catNonDispo($cat->getId()) ? " class=\"catNonDisponible\"" : ""; ?>>
				<?php echo $cat->getTitre();?> 
			</div>
			<div class="listeOtpion"><?php 
					if($edit)
					{
				?>
				<span class="fa fa-pencil" title="<?php echo htmlspecialchars($langue->get("EDITER"));?>" onclick="voirEditCategorie(<?php echo $cat->getId();?>)"></span>
				<span class="fa fa-arrow-down" title="<?php echo htmlspecialchars($langue->get("DESCENDRE"));?>" onclick="document.getElementById('catDown').value='<?php echo $cat->getId();?>'; document.getElementById('navForm').action += '#cat<?php echo $cat->getId();?>'; document.getElementById('navForm').submit();"></span>
				<span class="fa fa-arrow-up" title="<?php echo htmlspecialchars($langue->get("MONTER"));?>" onclick="document.getElementById('catUp').value='<?php echo $cat->getId();?>'; document.getElementById('navForm').action += '#cat<?php echo $cat->getId();?>'; document.getElementById('navForm').submit();"></span>
				<span class="fa fa-times" title="<?php echo htmlspecialchars($langue->get("SUPPRIMER"));?>" onclick="if(confirm('<?php echo htmlspecialchars($GLOBALS["langue"]->get("CONFIRMATION_SUPPRESSION_CAT"));?>')){document.getElementById('catSupprimer').value='<?php echo $cat->getId();?>'; document.getElementById('navForm').action += '#cat<?php echo $cat->getId();?>'; document.getElementById('navForm').submit();}"></span>
				<?php 
					}
					else
					{
				?> <span class="archive" id="titreCatArchive<?php echo $cat->getId();?>" onclick="afficheCat(<?php echo $cat->getId();?>, <?php echo RSS_ARCHIVE;?>, 1)" title="<?php echo htmlspecialchars($langue->get("VOIR_ELEMENTS", $langue->get("ARCHIVE"), $cat->getTitre()));?>">
				<?php 
								$nbArchive = nbItemArchiveCat($cat->getId(), false, true);
								echo ($nbArchive>0 && !$edit)?"$nbArchive":"";
							?> </span> <span class="nonLu" id="titreCatNonLu<?php echo $cat->getId();?>" onclick="afficheCat(<?php echo $cat->getId();?>, <?php echo RSS_NON_LU;?>, 1)" title="<?php echo htmlspecialchars($langue->get("VOIR_ELEMENTS", $langue->get("NON_LU"), $cat->getTitre()));?>">
							<?php 
								$nbNonLu = nbItemArchiveCat($cat->getId());
								echo ($nbNonLu>0 && !$edit)?"$nbNonLu":"";
							?> </span> <?php 
					}
				?>
			</div>
		</div>
		<?php 
		if($edit)
		{
		?><div id="editCat<?php echo $cat->getId();?>" class="editCat">
			<input name="inputEditCat<?php echo $cat->getId();?>" id="inputEditCat<?php echo $cat->getId();?>" type="text" value="<?php echo htmlspecialchars($cat->getTitre());?>">
			<button id type="button" onclick="editCategorie(<?php echo $cat->getId();?>)"><?php echo $langue->get("ENREGISTRER");?></button>
		</div><?php
		}
		?>
		<ul id="cat<?php echo $cat->getId();?>" style="display : <?php echo ($fluxAAfficher->getIdCa() == $cat->getId() || ($idCatOuvert > 0 && $idCatOuvert == $cat->getId()))? "block":"none";?>;">
				<?php
					$idCat = $cat->getId();
					$idFlux_l = $fluxAAfficher->getId(); 
					require ('listeFluxCat.php');
				?>
		</ul>
	</li>
	<?php 
				}
			}
		}
		
		$idCat = 0;
		require('listeFluxCat.php'); //FIXME fonction normalement appellée avec $catid = 0
		if(count($temp) > 0)
		{
			$script .= "				setTimeout(\"majLiClass('$url?idFlux=" . implode(",", $temp) . "', $attente, \" + time + \", " . ($config->getRafraichir() ? "true" : "false") . ")\"," . ($cpt*$decalage) . ");\n";
		}
		?>
</ul>
