<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<?php
	//on signale au navigateur qu'on lui renvoie un fichier xml
	header('Content-Type: text/xml');
	echo "<?xml version='1.0' encoding='UTF-8'?>\n";
?>
<root>
	<detail><![CDATA[<?php 
	$recherche = "";
	require("Elements/rss.php");
	?>]]></detail>
	<maj><?php echo $GLOBALS["config"]->getDateDerniereMAJ();?></maj>
	<nbNonLuTotal><?php echo nbItemArchiveTotal(true, false);?></nbNonLuTotal>
	<nbArchiveTotal><?php echo nbItemArchiveTotal(false, true);?></nbArchiveTotal>
	<?php
	//si $idCatAffichee vaut 0, cela signifie que l'on rafraichi un flux
	if($idCatAffichee >= 0)
	{
		$nbCatNonLu = 0;
		$nbCatArchive = 0;
		$nbNonLu = 0;
		$nbArchive = 0;
		$idCat = $idCatAffichee;
		$favicon = "";
		$etat = 0;

		//affichage du détail d'un flux
		if($idCatAffichee == 0)
		{
			$flux = getFluxById($idFlux);
			$nbCatArchive = nbItemArchiveCat($flux->getIdCa(), false, true);
			$nbCatNonLu = nbItemArchiveCat($flux->getIdCa());
			$nbArchive = $flux->nbItemArchive(false, true);
			$nbNonLu = $flux->nbItemArchive(true, false);
			$idCat = $flux->getIdCa();
			$etat = $flux->getEtat();
			$favicon = ($flux->getFavicon() == "" ? CHEMIN_IMAGES_FEED_VIDE : CHEMIN_FAVICON . $flux->getFavicon());
		}
		//affichage du détail d'une catégorie
		else
		{
			$nbCatArchive = nbItemArchiveCat($idCatAffichee, false, true);
			$nbCatNonLu =  nbItemArchiveCat($idCatAffichee, true, false);
		}
		?>
	<categorie>
		<idCat><?php echo $idCat;?></idCat>
		<nbCatNonLu><?php echo $nbCatNonLu;?></nbCatNonLu>
		<nbCatArchive><?php echo $nbCatArchive;?></nbCatArchive>
		<titreCatNonDisponible><?php echo catNonDispo($idCat) ? "true" : "false" ;?></titreCatNonDisponible>
			<?php 
			if($idCatAffichee == 0)
			{
				?>
			<flux>
				<id><?php echo $idFlux;?></id>
				<nbNonLu><?php echo $nbNonLu;?></nbNonLu>
				<nbArchive><?php echo $nbArchive;?></nbArchive>
				<etat><?php echo $etat;?></etat>
				<favicon><?php echo $favicon;?></favicon>
			</flux>
				<?php 
			}
	
			//si on affiche une catégorie, on va actualiser les non-lus et archivés de chaque flux de cette catégorie
			elseif($idCatAffichee > 0)
			{
				foreach(getListeRss($idCatAffichee) as $fl)
				{
					if($GLOBALS['connexion']->estConnecte() || !$fl->getPrive())
					{
				?>
			<flux>
				<id><?php echo $fl->getId();?></id>
				<nbNonLu><?php echo  $fl->nbItemArchive(true, false);?></nbNonLu>
				<nbArchive><?php echo $fl->nbItemArchive(false, true);?></nbArchive>
				<etat><?php echo $fl->getEtat();?></etat>
				<favicon><?php echo $fl->getFavicon() == "" ? CHEMIN_IMAGES_FEED_VIDE : CHEMIN_FAVICON . $fl->getFavicon();?></favicon>
			</flux>
				<?php 
					}
				}
			}
		?>
	</categorie>
		<?php
	}
	//cas : toutes les cats
	else
	{
		if(count($GLOBALS["listeFluxRss"])>0)
		{
			foreach($GLOBALS["listeFluxRss"] as $idCat=>$liste)
			{
				$nbCatArchive = nbItemArchiveCat($idCat, false, true);
				$nbCatNonLu = nbItemArchiveCat($idCat);
				?>
	<categorie>
		<idCat><?php echo $idCat;?></idCat>
		<nbCatNonLu><?php echo $nbCatNonLu;?></nbCatNonLu>
		<nbCatArchive><?php echo $nbCatArchive;?></nbCatArchive>
		<titreCatNonDisponible><?php echo catNonDispo($idCat) ? "true" : "false" ;?></titreCatNonDisponible>
			<?php
				if(count($liste)>0)
				{
					foreach($liste as $fl)
					{
						if($GLOBALS['connexion']->estConnecte() || !$fl->getPrive())
						{
						?>
			<flux>
				<id><?php echo $fl->getId();?></id>
				<nbNonLu><?php echo  $fl->nbItemArchive(true, false);?></nbNonLu>
				<nbArchive><?php echo $fl->nbItemArchive(false, true);?></nbArchive>
				<etat><?php echo $fl->getEtat();?></etat>
				<favicon><?php echo $fl->getFavicon() == "" ? CHEMIN_IMAGES_FEED_VIDE : CHEMIN_FAVICON . $fl->getFavicon();?></favicon>
			</flux>
						<?php
						}
					}
				}
			?>
	</categorie>
			<?php
			}
		}
	}
	?>
</root>
