var rafraichi = false;


function majLiClass(url, attente, time, refresh)
{
	if(rafraichi && document.getElementById('timeStamp').value == time)
	{
		document.getElementById('btnRafraichir').title = cpt + '/' + cptMax;
		var http_request = getHttpRequest();
		http_request.onreadystatechange = function() { traitementListe(http_request); };
		http_request.open('GET', url, true);
		http_request.send(null);
	}

	if(refresh)
	{
		setTimeout("majLiClass('" + url + "', " + attente + ", " + time + ", " + refresh + ")", attente);
	}
	return true;
}


function traitementListe(http_request)
{
	if (http_request.readyState == 4)
	{
		if (http_request.status == 200)
		{
			var doc = http_request.responseXML;

			var nbNonLuTotal = doc.getElementsByTagName("nbNonLuTotal")[0].firstChild.data;
			var nbArchiveTotal = doc.getElementsByTagName("nbArchiveTotal")[0].firstChild.data;
			majTotal(nbNonLuTotal, nbArchiveTotal);

			var listeCat = doc.getElementsByTagName("categorie");
			for(var i=0 ; i<listeCat.length ; i++)
			{
				majCategorie(listeCat[i]);
			}

			document.getElementById("maj").innerHTML = doc.getElementsByTagName("maj")[0].firstChild.data ;
			
			cpt++;
	
			document.getElementById('btnRafraichir').title = cpt + '/' + cptMax;
			if (cpt >= cptMax)
			{
				document.getElementById('btnRafraichir').src = 'DOC/images/actualiser.png';
				document.getElementById('btnRafraichir').title = "Actualiser";
				rafraichi = false;
			}
		
		}
		else
		{
			if (http_request.status != 0)
			{
				cacheMessageChargement();
			}
		}
	}
}


function majTotal(nbNonLuTotal, nbArchiveTotal)
{
	document.getElementById("titreToutNonLu").innerHTML = nbNonLuTotal;
	document.getElementById("titreToutArchive").innerHTML = (nbArchiveTotal > 0 ? nbArchiveTotal : "");
	var original = document.title;
	document.title = "(" + nbNonLuTotal + original.substring(original.lastIndexOf(')'));
}


function majCategorie(cat)
{
	var idCat = cat.getElementsByTagName("idCat")[0].firstChild.data;

	var listeFlux = cat.getElementsByTagName("flux");
	for(var j=0 ; j<listeFlux.length ; j++)
	{
		var fl = listeFlux[j];
		var idFl = fl.getElementsByTagName("id")[0].firstChild.data;
		var nbArchiveFl = fl.getElementsByTagName("nbArchive")[0].firstChild.data;
		var nbNonLuFl = fl.getElementsByTagName("nbNonLu")[0].firstChild.data;
		var etat = fl.getElementsByTagName("etat")[0].firstChild.data ;

		if(document.getElementById("div"+idFl) != null)
		{
			if(etat == 1)
			{
				document.getElementById("div"+idFl).className = "listeTitreNonAccessible";
			}
			else if(etat == 0)
			{
				document.getElementById("div"+idFl).className = "listeTitre";
			}
		}
		if(document.getElementById("nbArchive"+idFl) != null)
		{
			document.getElementById("nbArchive"+idFl).innerHTML = (nbArchiveFl > 0 ? nbArchiveFl : "");
		}

		if(document.getElementById("nbNonLu"+idFl) != null)
		{
			document.getElementById("nbNonLu"+idFl).innerHTML = (nbNonLuFl > 0 ? nbNonLuFl : "");
		}

		if(fl.getElementsByTagName("favicon")[0] != null && document.getElementById("icon"+idFl) != null)
		{
			document.getElementById("icon"+idFl).src = fl.getElementsByTagName("favicon")[0].firstChild.data;
		}
	}

	if(idCat > 0)
	{
		var nbNonLuCat = cat.getElementsByTagName("nbCatNonLu")[0].firstChild.data;
		var nbArchiveCat = cat.getElementsByTagName("nbCatArchive")[0].firstChild.data;
		if(document.getElementById("titreCatArchive"+idCat) != null)
		{
			document.getElementById("titreCatArchive"+idCat).innerHTML = (nbArchiveCat > 0 ? nbArchiveCat : "");
		}
		if(document.getElementById("titreCatNonLu"+idCat) != null)
		{
			document.getElementById("titreCatNonLu"+idCat).innerHTML = (nbNonLuCat > 0 ? nbNonLuCat : "");
		}
		if(cat.getElementsByTagName("titreCatNonDisponible")[0] != null && document.getElementById("titreCat"+idCat) != null)
		{
			if(cat.getElementsByTagName("titreCatNonDisponible")[0].firstChild.data == "true")
			{
				document.getElementById("titreCat"+idCat).className = "catNonDisponible";
			}		 
			else	  
			{		 
				document.getElementById("titreCat"+idCat).className = "";
			}
		}
	}
}


function majDetail(url, donnees, id, idFlux, etat)
{
	majDetailMsg(url, donnees, id, idFlux, etat, true);
}


function majDetailMsg(url, donnees, id, idFlux, etat, afficheMsgChargement)
{
	if(afficheMsgChargement && id != null)
	{
		afficheMessageChargement();
	}
	var http_request = getHttpRequest();
	http_request.onreadystatechange = function() { traitementDetail(http_request,id, idFlux, etat, afficheMsgChargement); };
	http_request.open('POST', url, true);
	http_request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;charset=UTF-8");
	http_request.send(donnees);
	return true;
}


function traitementDetail(http_request,iddiv, idFlux, etat, afficheMsgChargement)
{
	if (http_request.readyState == 4)
	{
		if (http_request.status == 200)
		{
			var doc = http_request.responseXML;

			if(idFluxSelected>0 && document.getElementById("li"+idFluxSelected) != null)
			{
				document.getElementById("li"+idFluxSelected).className = "liTitre";
			}
			if(idFlux>0 && document.getElementById("li"+idFlux) != null)
			{
				document.getElementById("li"+idFlux).className = "liSelected";
				idFluxSelected = idFlux;
			}

			if(doc.getElementsByTagName("nbNonLuTotal")[0] != null && doc.getElementsByTagName("nbArchiveTotal")[0] != null)
			{
				var nbNonLuTotal = doc.getElementsByTagName("nbNonLuTotal")[0].firstChild.data;
				var nbArchiveTotal = doc.getElementsByTagName("nbArchiveTotal")[0].firstChild.data;
				majTotal(nbNonLuTotal, nbArchiveTotal);
			}

			if(doc.getElementsByTagName("maj")[0] != null)
			{
				document.getElementById("maj").innerHTML = doc.getElementsByTagName("maj")[0].firstChild.data ;
			}

			var listeCat = doc.getElementsByTagName("categorie");
			for(var i=0 ; i<listeCat.length ; i++)
			{
				majCategorie(listeCat[i]);
			}

			if(doc.getElementsByTagName("detail")[0] != null && iddiv != null)
			{
				var detail = doc.getElementsByTagName("detail")[0].firstChild.data ;
				document.getElementById(iddiv).innerHTML = detail;
				coche = true;
			}
			if(afficheMsgChargement)
			{
				cacheMessageChargement();
			}
		}
		else
		{
			if (http_request.status != 0)
			{
				cacheMessageChargement();
			}
		}
	}
}


var coche = true;
function cocheTout(listeEtatStr, forceCoche)
{
	if(forceCoche)
	{
		coche = true;
	}
	var listeIdItem = document.getElementById('listeIdItem').value.split(",");
	var lisetEtat = listeEtatStr.split(",");
	var listeClass= new Array();

	if(estDansTableau(lisetEtat, 0))
	{
		listeClass.push("rssListeItemNL");
	}
	if(estDansTableau(lisetEtat, 1))
	{
		listeClass.push("rssListeItem");
	}
	if(estDansTableau(lisetEtat, 2))
	{
		listeClass.push("rssListeItemLu");
	}
	
	var max = listeIdItem.length-1;
	for (var i=0 ; i<= max ; i++)
	{
		if(estDansTableau(listeClass, document.getElementById("contenuItem" + listeIdItem[i]).className))
		{
			document.getElementById("lu" + listeIdItem[i]).checked = coche;
		}
		else if(forceCoche)
		{
			document.getElementById("lu" + listeIdItem[i]).checked = false;
		}
	}
	coche = !coche;
}

function estDansTableau(tab, value)
{
	var max = tab.length-1;
	for (var i=0 ; i<= max ; i++)
	{
		if(value == tab[i])
		{
			return true;
		}
	}
	return false;
}


function boutonRafraichir(auto)
{
	var now = new Date();
	var time = now.getTime();
	if(auto)
	{
		document.getElementById('timeStamp').value = time;
	}
	else
	{
		time = document.getElementById('timeStamp').value;
	}
	if(rafraichi)
	{
		rafraichi = false;
		document.getElementById('btnRafraichir').className = 'fa fa-refresh';
		document.getElementById('btnRafraichir').title = "Actualiser";
	}
	else
	{
		rafraichir(time);
	}
}


function montreDivAjouter()
{
	ajouteCssClass(document.getElementById('divAjout'), 'clDivAjoutVisible');
	supprimeCssClass(document.getElementById('divAjout'), 'clDivAjout');
	document.getElementById('divBoutonAjout').style.display = 'none';
}


function cacheDivAjouter()
{
	document.getElementById('divBoutonAjout').style.display = 'block';
	ajouteCssClass(document.getElementById('divAjout'), 'clDivAjout');
	supprimeCssClass(document.getElementById('divAjout'), 'clDivAjoutVisible');
}

function montreCacheCategorie(idDivCat)
{
	if(document.getElementById(idDivCat).style.display != "block")
	{
		document.getElementById(idDivCat).style.display = "block";
	}
	else
	{
		document.getElementById(idDivCat).style.display = "none";
	}
}


function montreCacheElement(id)
{
	if(document.getElementById(id).style.height=="22px")
	{
		document.getElementById(id).style.height="0px";
	}
	else 
	{
		document.getElementById(id).style.height="22px";
	}
}

function montreDetail(idDiv, idItem, idFlux, bouton, detailLu, charge)
{
	montreCache(idDiv, idItem, idFlux, bouton, detailLu, charge);
	document.getElementById("rssItem"+idDiv.substring(4)).className = "rssItem affiche";
}

function cacheDetail(idDiv, idItem, idFlux, bouton, detailLu, charge)
{
	montreCache(idDiv, idItem, idFlux, bouton, detailLu, charge);
	document.getElementById("rssItem"+idDiv.substring(4)).className = "rssItem masque";
}


function montreCache(idDiv, idItem, idFlux, bouton, detailLu, charge)
{
	montreCacheForce(idDiv, idItem, idFlux, bouton, detailLu, charge, false);
}

function montreCacheForce(idDiv, idItem, idFlux, bouton, detailLu, charge, forceOuvert)
{
	if(idItemSelected != 0 && document.getElementById(idItemSelected) != null)
	{
		document.getElementById(idItemSelected).style.border = "";
	}
	
	var affiche = false;
	if(document.getElementById(idDiv).style.display != "block")
	{
		affiche = true;
	}

	if(idDivOuvert != -1)
	{
		ouvrir = false;
		voirDetailTout(false, true);
	}
	var id = idDiv.split("item")[1]; 
	if(affiche || forceOuvert)
	{
		document.getElementById(idDiv).style.display = "block";
		if(detailLu != "")
		{
			if(idItem != 0)
			{
				if(document.getElementById("contenuItem" + detailLu).className == "rssListeItemNL")
				{
					document.getElementById("contenuItem" + detailLu).className = "rssListeItemLu";
					marqueItemLuDiv(idFlux + "." + idItem, 0, "contenuItem" + idFlux + "." + idItem, true);
				}
				else
				{
					ouvrirDetail(idFlux, idItem, bouton, detailLu);
				}
			}
			else
			{
				if(document.getElementById("contenuItem" + detailLu).className == "rssListeItemNL")
				{
					document.getElementById("contenuItem" + detailLu).className = "rssListeItemLu";
					marqueItemLuDiv(detailLu, 0, null, false);
				}
			}
		}
		else
		{ 
			if(idItem != 0)
			{
				ouvrirDetail(idFlux, idItem, bouton, detailLu);
			}
		}
	}
	else
	{
		document.getElementById(idDiv).style.display = "none";
	}
	idItemSelected = "contenuItem" + idFlux + "." + idDiv.substring(4);
	document.getElementById(idItemSelected).style.borderLeft = "#2F91E6 4px solid";
	scrollToId(idItemSelected);
}


function afficherDetail(idFlux, etat, page)
{
	ouvrir = true;
	var data = "fluxAffiche=" + idFlux + "&etat=" + etat + "&pageItem=" + page;
	majDetail("index.php", data, "formRss", idFlux, 0);
}

var ouvrir=true;
function voirDetailTout(marquerLu, origineMontreCache)
{
	var listeId = document.getElementById("listeIdItem").value.split(",");
	var listeMarqueLu = new Array();
	var valeur = "none";
	var classname = "rssItem masque";
	if(ouvrir)
	{
		classname = "rssItem affiche";
		valeur = "block";
	}
	ouvrir = !ouvrir;
	for( var i = 0 ; i < listeId.length ; i++)
	{
		var id = listeId[i].split(".")[1];

		document.getElementById("rssItem"+id).className = classname;
		document.getElementById("item" + id).style.display = valeur;
		if(marquerLu)
		{
			if(document.getElementById("contenuItem" + listeId[i]).className == "rssListeItemNL")
			{
				document.getElementById("contenuItem" + listeId[i]).className = "rssListeItemLu";
				listeMarqueLu.push(listeId[i]);
			}
		}
	}
	if(marquerLu)
	{
		marqueItemLuDiv(listeMarqueLu.join(","), -1, "0", null, false);
	}

	if(!origineMontreCache)
	{
		scrollToId(idItemSelected);
	}
}


function marqueLu(etat, nonLu)
{
	var form = document.getElementById('formRss');
	var coches = "";
	var cpt = 0;
	var dernierItem = 0;
	for (var i = 0 ; i <= form.length-1 ; i++)
	{
		if (form[i].type == 'checkbox')
		{
			if(form[i].checked && form[i].value>0)
			{
				if(document.getElementById("contenuItem" + form[i].value).style.display != "none")
				{
					cpt++;
					if(dernierItem == 0)
					{
						dernierItem = form[i].value;
					}
					coches += (coches==""?form[i].value:","+form[i].value);
				}
			}
		}
	}
	var data = "";
	if(nonLu)
	{
		data = "nonLu=" + coches;
	}
	else
	{
		data = "lu=" + coches;
	}

	data += "&etat=" + etat;

	if(cpt == 0)
	{
		alert("Vous n'avez sélectionné aucun item.");
	}
	else
	{
		majDetail("index.php", data, "formRss", idFluxSelected, 0);
		scrollToId('listeItem');
	}
}

function marquerToutLu(idFlux, idCat, etat)
{
	var data = "toutLuFlux=" + idFlux + "&toutLuCat=" + idCat + "&etat=" + etat;

	majDetail("index.php", data, "formRss", idFlux, 0);
}


function marqueArchive(etat)
{
	var form = document.getElementById('formRss');
	var archive = "";
	var cpt = 0;
	var dernierItem = 0;
	for (var i = 0 ; i <= form.length-1 ; i++)
	{
		if (form[i].type == 'checkbox')
		{
			if(form[i].checked && form[i].value>0)
			{
				if(document.getElementById("contenuItem" + form[i].value).style.display != "none")
				{
					cpt++;
					if(dernierItem == 0)
					{
						dernierItem = form[i].value;
					}
					archive += (archive==""?form[i].value:","+form[i].value);
				}
			}
		}
	}
	var data = "archive=" + archive;

	data += "&etat=" + etat;

	if(cpt == 0)
	{
		alert("Vous n'avez sélectionné aucun item.");
	}
	else
	{
		majDetail("index.php", data, "formRss", idFluxSelected, 0);
	}

	scrollToId('listeItem');
}


function marqueItemArchive(idIt, etat)
{
	var data = "archive=" + idIt;
	data += "&etat=" + etat;
	data += "&idItem=" + idIt;
	var temp = idIt.split("."); 
	if(document.getElementById("item" + temp[1]).style.display == "block")
	{
		data += "&afficheDetail=true";
	}
	majDetailMsg("index.php", data, null, idFluxSelected, 0, false);
	document.getElementById("contenuItem" + idIt).className = "rssListeItem";
	document.getElementById("lu" + idIt).checked = false;
	majDisplayBoutonsItem(temp[1], 1);

//	window.location = "#" + getIdItem(itemSuivant(idIt));
}


function marqueItemLu(idIt, etat)
{
	marqueItemLuDiv(idIt, etat, null, false);
	document.getElementById("contenuItem" + idIt).className = "rssListeItemLu";
	document.getElementById("lu" + idIt).checked = false;
	var temp = idIt.split("."); 
	majDisplayBoutonsItem(temp[1], 2);
}


function marqueItemLuDiv(idIt, etat, idDiv, afficheMsgChargement)
{
	var data = "lu=" + idIt;
	data += "&etat=" + etat;
	data += "&idItem=" + idIt;
	var temp = idIt.split("."); 
	if(document.getElementById("item" + temp[1]) != null && document.getElementById("item" + temp[1]).style.display == "block")
	{
		data += "&afficheDetail=true";
	}

	majDetailMsg("index.php", data, idDiv, idFluxSelected, 0, afficheMsgChargement);

//	window.location = "#" + getIdItem(itemSuivant(idIt));
}


function marqueItemNonLu(idIt, etat)
{
	var data = "nonLu=" + idIt;
	data += "&etat=" + etat;
	data += "&idItem=" + idIt;
	var temp = idIt.split("."); 
	if(document.getElementById("item" + temp[1]).style.display == "block")
	{
		data += "&afficheDetail=true";
	}
	
	majDetailMsg("index.php", data, null, idFluxSelected, 0, false);
	document.getElementById("contenuItem" + idIt).className = "rssListeItemNL";
	document.getElementById("lu" + idIt).checked = false;
	majDisplayBoutonsItem(temp[1], 0);

//	window.location = "#" + getIdItem(itemSuivant(idIt));
}

function majDisplayBoutonsItem(idItem, ev)
{
	if(document.getElementById("btnLu1" + idItem) != null)
	{
		document.getElementById("btnLu1" + idItem).style.display = "inline-block";
	}
	if(document.getElementById("btnNLu1" + idItem) != null)
	{
		document.getElementById("btnNLu1" + idItem).style.display = "inline-block";
	}
	if(document.getElementById("btnArch1" + idItem) != null)
	{
		document.getElementById("btnArch1" + idItem).style.display = "inline-block";
	}
	if(document.getElementById("btnLu2" + idItem) != null)
	{
		document.getElementById("btnLu2" + idItem).style.display = "inline-block";
	}
	if(document.getElementById("btnNLu2" + idItem) != null)
	{
		document.getElementById("btnNLu2" + idItem).style.display = "inline-block";
	}
	if(document.getElementById("btnArch2" + idItem) != null)
	{
		document.getElementById("btnArch2" + idItem).style.display = "inline-block";
	}
	
	switch(ev)
	{
	case 0 : 
		if(document.getElementById("btnNLu1" + idItem) != null)
		{
			document.getElementById("btnNLu1" + idItem).style.display = "none";
		}
		if(document.getElementById("btnNLu2" + idItem) != null)
		{
			document.getElementById("btnNLu2" + idItem).style.display = "none";
		}
		break;
	case 1 : 
		if(document.getElementById("btnArch1" + idItem) != null)
		{
			document.getElementById("btnArch1" + idItem).style.display = "none";
		}
		if(document.getElementById("btnArch2" + idItem) != null)
		{
			document.getElementById("btnArch2" + idItem).style.display = "none";
		}
		break;
	case 2 : 
		if(document.getElementById("btnLu1" + idItem) != null)
		{
			document.getElementById("btnLu1" + idItem).style.display = "none";
		}
		if(document.getElementById("btnLu2" + idItem) != null)
		{
			document.getElementById("btnLu2" + idItem).style.display = "none";
		}
		break;
	}
}

function itemSuivant(idItem)
{
	var listeIdItem = document.getElementById("listeIdItem").value.split(",");
	var trouver = false;
	var i = 0;
	while (!trouver && i < listeIdItem.length)
	{
		if(listeIdItem[i] == idItem)
		{
			trouver = true;
		}
		else
		{
			i++;
		}
	}

	if(i >= 0 && i < listeIdItem.length - 1)
	{
		return listeIdItem[i+1];
	}
	else
	{
		return null;
	}
}

function itemPrecedant(idItem)
{
	var listeIdItem = document.getElementById("listeIdItem").value.split(",");
	var trouver = false;
	var i = 0;
	while (!trouver && i < listeIdItem.length)
	{
		if(listeIdItem[i] == idItem)
		{
			trouver = true;
		}
		else
		{
			i++;
		}
	}

	if(i > 0 && i < listeIdItem.length)
	{
		return listeIdItem[i-1];
	}
	else
	{
		return null;
	}
}

function getIdItem(id)
{
	if(id != null && document.getElementById("contenuItem" + id) != null)
	{
		return "contenuItem" + id;
	}
	else
	{
		return "listeItem";
	}
}


function afficheCat(cat, etat, page, recherche)
{
	if(document.getElementById("li"+idFluxSelected) != null)
	{
		document.getElementById("li"+idFluxSelected).className = "";
	}
	idFluxSelected = 0;
	var data = "fluxCatAffiche=" + cat + "&etat=" + etat + "&pageItem=" + page;
	if(recherche)
	{
		data += "&recherche=true";
	}
	ouvrir = true;
	majDetail("index.php", data, "formRss", 0, etat);

	scrollToId('listeItem');
}


function voirEtat(idFlux, listeEtat)
{
	var data = "etat=" + listeEtat;
	majDetail("index.php", data, "formRss", idFlux, 0);
}


function actualiserFlux(idFlux)
{
	var data = "actualiserFlux=" + idFlux;
	majDetail("index.php", data, "formRss", idFlux, 0);
}


function voirEditCategorie(id)
{
	if(document.getElementById("editCat" + id).style.height != "35px")
	{
		document.getElementById("editCat" + id).style.height = "35px";
	}
	else
	{
		document.getElementById("editCat" + id).style.height = "0px";
	}
}


function editCategorie(id)
{
	document.getElementById("catEdit").value = id;
	document.getElementById("catEditValeur").value = document.getElementById("inputEditCat" + id).value;
	document.getElementById("navForm").submit();
}


function rechercher()
{
	var data = "recherche=" + document.getElementById("recherche").value;
	if(document.getElementById("chkbxSupp").checked)
	{
		data += "&chkbxSupp=true";
	}
	if(document.getElementById("chkbxCase").checked)
	{
		data += "&chkbxCase=true";
	}
	if(document.getElementById("chkbxAll").checked)
	{
		data += "&chkbxAll=true";
	}
	if(document.getElementById("chkbxTag").checked)
	{
		data += "&chkbxTag=true";
	}
	majDetail("index.php", data, "formRss", 0, 0);
	return false;
}


function ouvrirDetail(idFlux, idItem, bouton, detailLu)
{
	afficheMessageChargement();
	var http_request = getHttpRequest();
	http_request.onreadystatechange = function() { traitementAfficheDetail(http_request, idItem, idFlux, bouton, detailLu); };
	http_request.open('POST', "index.php", true);
	http_request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;charset=UTF-8");
	http_request.send("idItem=" + idFlux + "." + idItem + "&afficheDetail=true");
	return true;
}


function traitementAfficheDetail(http_request, idItem, idFlux, bouton, detailLu)
{
	if (http_request.readyState == 4)
	{
		if (http_request.status == 200)
		{
			var doc = http_request.responseXML;
			var detail = doc.getElementsByTagName("detail")[0].firstChild.data ;

			document.getElementById("contenuItem" + idFlux + "." + idItem).innerHTML = detail;
			if(bouton != null)
			{
				bouton.onclick = function(){montreCache("item" + idItem, 0, idFlux, null, detailLu);}; 
			}
			
			if(doc.getElementsByTagName("nbNonLuTotal")[0] != null && doc.getElementsByTagName("nbArchiveTotal")[0] != null)
			{
				var nbNonLuTotal = doc.getElementsByTagName("nbNonLuTotal")[0].firstChild.data;
				var nbArchiveTotal = doc.getElementsByTagName("nbArchiveTotal")[0].firstChild.data;
				majTotal(nbNonLuTotal, nbArchiveTotal);
			}

			if(doc.getElementsByTagName("maj")[0] != null)
			{
				document.getElementById("maj").innerHTML = doc.getElementsByTagName("maj")[0].firstChild.data ;
			}

			var listeCat = doc.getElementsByTagName("categorie");
			for(var i=0 ; i<listeCat.length ; i++)
			{
				majCategorie(listeCat[i]);
			}
			cacheMessageChargement();
		}
		else
		{
			if (http_request.status != 0)
			{
				cacheMessageChargement();
			}
		}
	}
}

function boutonMasquerListe(){
	if(document.getElementById('contenuListeFlux').dataset.height == undefined)
	{
		document.getElementById('contenuListeFlux').style.display = "block";
		document.getElementById('contenuListeFlux').dataset.height = document.getElementById('contenuListeFlux').getBoundingClientRect().height
		document.getElementById('contenuListeFlux').style.height = "0px";
		
	}
	if(document.getElementById('contenuListeFlux').style.height != "0px")
	{
		document.getElementById('contenuListeFlux').style.height = document.getElementById('contenuListeFlux').dataset.height + "px";
	}
	
	setTimeout(modifeTailleMenu, 5);
}

function modifeTailleMenu(){
	if(document.getElementById('contenuListeFlux').style.height == "0px")
	{
		document.getElementById('contenuListeFlux').style.height = document.getElementById('contenuListeFlux').dataset.height + "px";
		setTimeout(function(){document.getElementById('contenuListeFlux').style.height = "auto";}, 200);
	}
	else
	{
		document.getElementById('contenuListeFlux').dataset.height = document.getElementById('contenuListeFlux').getBoundingClientRect().height
		document.getElementById('contenuListeFlux').style.height = "0px";
	}
	
}

function cacherListe()
{
	if(document.getElementById('btnCacherListe').style.display != "none")
	{
		document.getElementById('listeFlux').className = "module listeFluxCacher";
		document.getElementById('listeItem').className = "listeItemGrand";
		document.getElementById('btnCacherListe').style.display = "none";
		document.getElementById('btnAfficherListe').style.display = "inline-block";
	}
	else
	{
		afficherListe();
	}
}


function afficherListe()
{
	document.getElementById('listeFlux').className = "module listeFluxVisible";
	document.getElementById('listeItem').className = "listeItemPetit";
	document.getElementById('btnAfficherListe').style.display = "none";
	document.getElementById('btnCacherListe').style.display = "inline-block";
}

function inverseTri(inverse, idFlux, etat)
{
	var data = "inverseTri=" + (inverse ? "true" : "false");
	majDetail("index.php", data, "formRss", idFlux, etat);
}

function afficheMessageChargement()
{
	document.getElementById('divChargement').style.display = "block";
}


function cacheMessageChargement()
{
	document.getElementById('divChargement').style.display = "none";
}


function majTimezoneVille(continent)
{
	var nbContient = listeContinent[continent].length;
	var select = document.getElementById("timezoneVille");
	// vide le select...
	while(select.childNodes.length > 0) {
		select.removeChild(select.childNodes[0]);
	}
	//...pour le remplir avec les nouvelles valeurs
	for (var i=0; i < nbContient; i++ )
	{
		var opt = document.createElement("option");
		opt.value = listeContinent[continent][i];
		
		//villeActuelle est difinie dans le fichier de configuration, en même temps que listeContinent 
		if(villeActuelle == listeContinent[continent][i])
		{
			opt.setAttribute("selected", "selected");
		}
		
		opt.appendChild(document.createTextNode(listeContinent[continent][i]));
		select.appendChild(opt);
	}
}


function getHttpRequest()
{
	var http_request = false;
	if (window.XMLHttpRequest)
	{ // pour Mozilla, Safari,...
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType)
		{
			http_request.overrideMimeType('text/xml; charset=UTF-8');
		}
	}
	else if (window.ActiveXObject)
	{ // pour IE
		try
		{
				http_request = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			try
			{
				http_request = new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch (e)
			{}
		}
	}
	if (!http_request)
	{
		return false;
	}
	return http_request;
}










function afficheDetailSuivant()
{
	changerAfficherDetail(true);
}

function afficheDetailPrecedant()
{
	changerAfficherDetail(false);
}

function changerAfficherDetail(suivant)
{
	var idItem = null;
	if(idItemSelected != 0)
	{
		var temp = idItemSelected.substring(11);
		if(suivant)
		{
			idItem = itemSuivant(temp);
		}
		else
		{
			idItem = itemPrecedant(temp);
		}
	}
	if(idItem == null && document.getElementById("listeIdItem") != "")
	{
		var listeIdItem = document.getElementById("listeIdItem").value.split(",");
		idItem = (suivant ? listeIdItem[0] : listeIdItem[listeIdItem.length - 1]);
	}
	idItemSeul = idItem.split(".");
	var fct = document.getElementById("btnDetailUp1" + idItemSeul[1]).onclick;
	fct = "" + fct;
	fct = fct.replace("montreCache", "montreCacheForce");
	fct = fct.substring(26);
	fct = fct.replace(")", ", true)");
	fct = fct.substring(0, fct.length-3);

	setTimeout(fct,0);
	setTimeout(function(){idItemSelected = getIdItem(idItem);}, 0);
	
}

function raccBtnItem(idBtn)
{
	if(idItemSelected != 0)
	{
		var temp = idItemSelected.substring(11);
		var tempTab = temp.split(".");
		var fct = document.getElementById(idBtn + tempTab[1]).onclick;
		setTimeout(fct,0);
	}
}

function raccBtnFlux(idBtn)
{
	var temp = document.getElementById(idBtn);
	if(temp != null)
	{
		var fct = temp.onclick;
		setTimeout(fct,0);
	}
}

function raccRafraichirTous()
{
	var fct = document.getElementById("btnRafraichir").onclick;
	setTimeout(fct,0);
}

function raccCheckItem()
{
	if(idItemSelected != 0)
	{
		var temp = idItemSelected.substring(11);
		var cBox = document.getElementById("lu" + temp);
		cBox.checked = !cBox.checked;
	}
}


function applyKey (winObj)
{
	var listeInput = document.documentElement.getElementsByTagName("input");
	var ecouteClavier = true;
	
	for (var i = 0; i < listeInput.length; i++)
	{  
		var tagObj = listeInput.item(i);  
		if(tagObj == document.activeElement)
		{
			ecouteClavier = false;
		}  
	}
	if(ecouteClavier)
	{
		var intKeyCode = winObj.keyCode;
		switch (intKeyCode)
		{
			case KEY_PRECEDANT:
				afficheDetailPrecedant();
				break;
			case KEY_SUIVANT:
				afficheDetailSuivant();
				break;
			case KEY_DETAIL:
				raccBtnItem("btnDetail1");
				break;
			case KEY_MARQUE_LU:
				raccBtnItem("btnLu1");
				break;
			case KEY_MARQUE_NON_LU:
				raccBtnItem("btnNLu1");
				break;
			case KEY_MARQUE_ARCHIVE:
				raccBtnItem("btnArch1");
				break;
			case KEY_PARTAGE:
				raccBtnItem("btnPartage");
				break;
			case KEY_SITE_ORIGINE:
				raccSiteOrigine();
				break;
			case KEY_CHECK_ITEM:
				raccCheckItem();
				break;
			case KEY_AFFICHE_LISTE_FLUX:
				cacherListe();
				break;
			case KEY_RAFRAICHIR_TOUS:
				raccRafraichirTous();
				break;
			case KEY_CHECK_TOUS:
				raccBtnFlux("btnCocheTous");
				break;
			case KEY_CHECK_NON_LU:
				raccBtnFlux("btnCocheNonLu");
				break;
			case KEY_MARQUE_FLUX_LU:;
				raccBtnFlux("btnMarqueLu");
				break;
			case KEY_MARQUE_FLUX_ARCHIVE:
				raccBtnFlux("btnMarqueArchive");
				break;
			case KEY_VOIR_NON_LU:
				raccBtnFlux("btnVoirNonLu");
				break;
			case KEY_ACTUALISER_FLUX:
				raccBtnFlux("btnActualiseFlux");
				break;
			case KEY_DETAIL_TOUS:
				raccBtnFlux("btnVoirTous");
				break;
			case KEY_INVERSE_TRI:
				raccBtnFlux("btnInverseTri");
				break;
			default:
			 
				break;
		}
	}
}

function ajouteCssClass(el, cssClass)
{
	var liste = el.className.split(' ');
  if(liste.indexOf(cssClass) == -1)
  {
    liste.push(cssClass);
    el.className = liste.join(" ");
  }
}

function supprimeCssClass(el, cssClass)
{
	var liste = el.className.split(' ');
  var ind = liste.indexOf(cssClass);
  if(ind > -1)
  {
    liste.splice(ind, 1);
    el.className = liste.join(" ");
  }
}























function scrollToId(eID) {
	// This scrolling function 
	// is from http://www.itnewb.com/tutorial/Creating-the-Smooth-Scroll-Effect-with-JavaScript
	var widthFenetre = document.body.clientWidth;
	var i;
	var startY = currentYPosition();
	var stopY = elmYPosition(eID) - (widthFenetre<600 ? 0 : 80);	// on gère la position fixed du header en grande fenetre
	var distance = stopY > startY ? stopY - startY : startY - stopY;
	if (distance < 100) {
		scrollTo(0, stopY); return;
	}
	var speed = Math.round(distance / 100);
	if (speed >= 20) speed = 20;
	if (speed < 4) speed = 4;
	var step = Math.round(distance / 25);
	var leapY = stopY > startY ? startY + step : startY - step;
	var timer = 0;
	if (stopY > startY) {
		for (i = startY; i < stopY; i += step) {
			setTimeout('window.scrollTo(0, '+leapY+')', timer * speed);
			leapY += step; if (leapY > stopY) leapY = stopY; timer++;
		} return;
	}
	else{
		for (i = startY; i > stopY; i -= step) {
			setTimeout('window.scrollTo(0, '+leapY+')', timer * speed);
			leapY -= step; if (leapY < stopY) leapY = stopY; timer++;
		}
	}
}
		
/* currentYPosition -
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function currentYPosition() {
	// Firefox, Chrome, Opera, Safari
	if (window.pageYOffset) {
		return window.pageYOffset;
	}
	// Internet Explorer 6 - standards mode
	if (document.documentElement && document.documentElement.scrollTop) {
		return document.documentElement.scrollTop;
	}
	// Internet Explorer 6, 7 and 8
	if (document.body.scrollTop) {
		return document.body.scrollTop;
	}
	return 0;
			}

/* scrollTo -
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function elmYPosition(eID) {
	var elm = document.getElementById(eID);
	var y = elm.offsetTop;
	var node = elm;
	while (node.offsetParent && node.offsetParent != document.body) {
		node = node.offsetParent;
		y += node.offsetTop;
	} return y;
}
