<?php
/**
 * 
 * 
 * @author superbaillot
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */
class ConfigurationAeres extends Configuration
{	
	protected $listeOption = array(
//									"nom"						=> array(init, type, label , description, message d'erreur) 
									"voirFlux"					=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_SEE_LISTE_LABEL", "CONFIG_FORM_SEE_LISTE_DESC"),
									"afficheApercu"				=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_APPERCU_POPUP_LABEL", "CONFIG_FORM_APPERCU_POPUP_DESC"),
									"hr1" 						=> true,
									"nbItemAffiche" 			=> array(20, Configuration::FLOAT, "CONFIG_FORM_NB_ITEM_AFFICHE_LABEL", "CONFIG_FORM_NB_ITEM_AFFICHE_DESC", "CONFIG_FORM_ERROR_NB_ITEM_AFFICHE"),
									"triDateCroissante" 		=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_TRI_LABEL", "CONFIG_FORM_TRI_DESC"),
									"ouvrirDetail"				=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_DETAIL_ITEM_LABEL", "CONFIG_FORM_DETAIL_ITEM_DESC"),
									"chargerDetail"				=> array(true, Configuration::BOOLEAN, "CONFIG_FORM_CHARGER_DETAIL_ITEM_LABEL", "CONFIG_FORM_CHARGER_DETAIL_ITEM_DESC"),
									"detailOuvertUnique"		=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_DETAIL_UNIQUE_LABEL", "CONFIG_FORM_DETAIL_UNIQUE_DESC"),
									"detailLu"					=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_DETAIL_LU_LABEL", "CONFIG_FORM_DETAIL_LU_DESC"),
									"modeCompact"				=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_MODE_COMPACT_LABEL", "CONFIG_FORM_MODE_COMPACT_DESC"),
									"uniquementNonLu"			=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_UNIQUEMENT_NON_LU_LABEL", "CONFIG_FORM_UNIQUEMENT_NON_LU_DESC"),
									"urlPartage"				=> array("", Configuration::STRING, "CONFIG_FORM_URL_PARTAGE_LABEL", "CONFIG_FORM_URL_PARTAGE_DESC"),
									"hr2" 						=> true,
									"rafraichir"				=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_REFRESH_AUTO_LABEL", "CONFIG_FORM_REFRESH_AUTO_DESC"),
									"frequenceRafraichir"		=> array(60, Configuration::FLOAT, "CONFIG_FORM_FREQ_REFRESH1_LABEL", "CONFIG_FORM_FREQ_REFRESH_DESC", "CONFIG_FORM_ERROR_FREQUENCE"),
									"decalageRafraichissement"	=> array(2, Configuration::FLOAT, "CONFIG_FORM_DECALAGE_REFRESH1_LABEL", "CONFIG_FORM_DECALAGE_REFRESH_DESC", "CONFIG_FORM_ERROR_DECALAGE"),
									"nbRafraichissement"		=> array(50, Configuration::FLOAT, "CONFIG_FORM_NB_RAFRAICHISSEMENT_LABEL", "CONFIG_FORM_NB_RAFRAICHISSEMENT_DESC", "CONFIG_FORM_ERROR_NB_RAFRAICHISSEMENT"),
									"antiIframe"				=> array(true, Configuration::BOOLEAN, "CONFIG_FORM_ANTIIFRAME_LABEL", "CONFIG_FORM_ANTIIFRAME_DESC"),
									"hr3" 						=> true,
									"rafraichirFavicon"			=> array(false, Configuration::BOOLEAN, "CONFIG_FORM_FAVICON_LABEL", "CONFIG_FORM_FAVICON_DESC"),
									"hr4" 						=> true,
									"checkMaj"					=> array(true, Configuration::BOOLEAN, "CONFIG_FORM_CHECK_MAJ_LABEL", "CONFIG_FORM_CHECK_MAJ_DESC"),
									"langue"					=> array("fr", Configuration::LANGUE, "CONFIG_FORM_LANGUE_LABEL", "CONFIG_FORM_LANGUE_DESC"),
									"timezone"					=> array("Europe/Paris", Configuration::STRING, "CONFIG_FORM_TIMEZONE_LABEL", "CONFIG_FORM_TIMEZONE_DESC"),
									"dateDerniereMAJ"			=> array("01/01/1970 00:00:00", Configuration::STRING, "CONFIG_FORM_CHECK_MAJ_LABEL", "CONFIG_FORM_CHECK_MAJ_DESC"),
									"raccourciClavier"			=> array(
																	array(
																		"itemPrecedant" => array("q", "KEY_PRECEDANT", "CONFIG_RACCOURCI_CLAVIER_PRECEDANT_LABEL"),
																		"itemSuivant" => array("s", "KEY_SUIVANT", "CONFIG_RACCOURCI_CLAVIER_SUIVANT_LABEL"),
																		"itemDetail" => array("d", "KEY_DETAIL", "CONFIG_RACCOURCI_CLAVIER_DETAIL_LABEL"),
																		"itemMarqueLu" => array("l", "KEY_MARQUE_LU", "CONFIG_RACCOURCI_CLAVIER_MARQUE_LU_LABEL"),
																		"itemMarqueNonLu" => array("n", "KEY_MARQUE_NON_LU", "CONFIG_RACCOURCI_CLAVIER_MARQUE_NON_LU_LABEL"),
																		"itemMarqueArchive" => array("a", "KEY_MARQUE_ARCHIVE", "CONFIG_RACCOURCI_CLAVIER_MARQUE_ARCHIVE_LABEL"),
																		"itemPartage" => array("p", "KEY_PARTAGE", "CONFIG_RACCOURCI_CLAVIER_PARTAGE_LABEL"),
																		"afficheListeFlux" => array("l", "KEY_AFFICHE_LISTE_FLUX", "CONFIG_RACCOURCI_CLAVIER_AFFICHE_LISTE_FLUX_LABEL"),
																		"rafraichirTous" => array("r", "KEY_RAFRAICHIR_TOUS", "CONFIG_RACCOURCI_CLAVIER_RAFRAICHIR_TOUS_LABEL"),
																		"itemSiteOrigine" => array("o", "KEY_SITE_ORIGINE", "CONFIG_RACCOURCI_CLAVIER_SITE_ORIGINE_LABEL"),
																		"itemCheck" => array("c", "KEY_CHECK_ITEM", "CONFIG_RACCOURCI_CLAVIER_CHECK_ITEM_LABEL"),
																		"checkTous" => array("t", "KEY_CHECK_TOUS", "CONFIG_RACCOURCI_CLAVIER_CHECK_TOUS_LABEL"),
																		"checkNonLu" => array("b", "KEY_CHECK_NON_LU", "CONFIG_RACCOURCI_CLAVIER_CHECK_NON_LU_LABEL"),
																		"fluxMarqueLu" => array("f", "KEY_MARQUE_FLUX_LU", "CONFIG_RACCOURCI_CLAVIER_MARQUE_FLUX_LU_LABEL"),
																		"FluxMarqueArchive" => array("z", "KEY_MARQUE_FLUX_ARCHIVE", "CONFIG_RACCOURCI_CLAVIER_MARQUE_FLUX_ARCHIVE_LABEL"),
																		"voirNonLu" => array("v", "KEY_VOIR_NON_LU", "CONFIG_RACCOURCI_CLAVIER_VOIR_NON_LU_LABEL"),
																		"fluxActualise" => array("c", "KEY_ACTUALISER_FLUX", "CONFIG_RACCOURCI_CLAVIER_ACTUALISER_FLUX_LABEL"),
																		"fluxDetailTous" => array("x", "KEY_DETAIL_TOUS", "CONFIG_RACCOURCI_CLAVIER_DETAIL_TOUS_LABEL"),
																		"fluxInverseTri" => array("i", "KEY_INVERSE_TRI ", "CONFIG_RACCOURCI_CLAVIER_INVERSE_TRI_LABEL")
																	), Configuration::ARRAY2, "CONFIG_FORM_CONFIG_RACCOURCI_CLAVIER_LABEL", "CONFIG_FORM_CONFIG_RACCOURCI_CLAVIER_DESC")
								);
	

	//méthodes utilisées dans l'application. C'est plus facile à utiliser grâce à l'auto-complétion que l'accés via un tableau
	public function getFrequenceRafraichir(){return $this->get("frequenceRafraichir");}
	public function getModeCompact(){return $this->get("modeCompact");}
	public function getDecalageRafraichissement(){return $this->get("decalageRafraichissement");}
	public function getNbRafraichissement(){return $this->get("nbRafraichissement");}
	public function getRafraichir(){return $this->get("rafraichir");}
	public function getRafraichirFavicon(){return $this->get("rafraichirFavicon");}
	public function getDetailOuvertUnique(){return $this->get("detailOuvertUnique");}
	public function getOuvrirDetail(){return $this->get("ouvrirDetail");}
	public function getChargerDetail(){return $this->get("chargerDetail");}
	public function getDetailLu(){return $this->get("detailLu");}
	public function getVoirFlux(){return $this->get("voirFlux");}
	public function getNbItemAffiche(){return $this->get("nbItemAffiche");}
	public function getTriDateCroissante(){return $this->get("triDateCroissante");}
	public function getAfficheApercu(){return $this->get("afficheApercu");}
	public function getUrlPartage(){return $this->get("urlPartage");}
	public function getCheckMaj(){return $this->get("checkMaj");}
	public function getUniquementNonLu(){return $this->get("uniquementNonLu");}
	public function getLangue(){return $this->get("langue");}
	public function getDateDerniereMAJ(){return $this->get("dateDerniereMAJ");}
	public function getTimezone(){return $this->get("timezone");}
	public function getAntiIframe(){return $this->get("antiIframe");}
	public function getRaccourciClavier(){return $this->get("raccourciClavier");}
	
	
	public function setDateDerniereMAJ($date){$this->listeOption["dateDerniereMAJ"][0] = $date;}
	
	public function __construct()
	{
		//crée les répertoires save et flux s'ils n'existent pas
		verifChemin(CHEMIN_FLUX);
		$htaccess  = "deny from all\n";
		$htaccess .= "<Files logo.png>\n";
		$htaccess .= "	allow from all\n";
		$htaccess .= "</Files>";
		verifHtaccess(REPERTOIRE_SAUVEGARDE, $htaccess);
		//s'il n'existe pas, on crée le .htaccess qui autorise l'acces aux favicon (il y a une autre .htaccess plus bat dans la hierarchie qui interdit l'acces à tous les fichiers par défaut)
		verifHtaccess(CHEMIN_FAVICON, "allow from all\n");	

		//si l'utilisateur n'a pas de logo et qu'il est encore dans le répertoire Inc, on le copie pour avoir le logo par défaut
		if(!file_exists(REPERTOIRE_SAUVEGARDE . "logo.png") && file_exists(CHEMIN_IMPORT_IMAGE . "logo.png"))
		{
			rename(CHEMIN_IMPORT_IMAGE . "logo.png", REPERTOIRE_SAUVEGARDE . "logo.png");
		}
	}
	
	public function getFormulaireConfiguration()
	{
		return new FormulaireConfigurationAeres($this->listeOption);
	}
	
	public function estSpecifique($nom, $affichageSpecifique=false)
	{
		if($affichageSpecifique)
		{
			return in_array($nom, array("checkMaj", "urlPartage", "frequenceRafraichir", "decalageRafraichissement", "timezone", "dateDerniereMAJ"));
		}
		else
		{
			return in_array($nom, array("langue", "timezone", "dateDerniereMAJ"));
		}
	}
	
	public function majSpecifique($nomOption, $form)
	{
		$return = false;
		switch($nomOption)
		{
			case "timezone" :
				$this->listeOption[$nomOption][0] = $form->get($nomOption);
				
				//je change le timezone
				date_default_timezone_set($this->get("timezone"));
				$return = true;
				break;
				
			case "langue" :
				if($form->get("langue") != $this->get("langue"))
				{
					$return = true;
					$this->listeOption["langue"][0] = $form->get("langue");
					$GLOBALS["langue"]->setNom($this->get("langue"));
				}
				break;
		}
		
		return $return;
	}
	
	public function affichageSpecifique($nomOption)
	{
		switch($nomOption)
		{
					//les cas particuliers sont traités en premier
					case "urlPartage" :

						return "
					<div class=\"opt\">
						<label for=\"urlPartage \">" . $GLOBALS["langue"]->get("CONFIG_FORM_URL_PARTAGE_LABEL") . "</label>
						
						<input name=\"urlPartage\" id=\"urlPartage\" type=\"url\" value=\"" . $this->getUrlPartage() . "\">
					</div>
					<div class=\"desc\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_URL_PARTAGE_DESC") . "
					</div>";
						break;

					case "frequenceRafraichir" :

						return "
					<div class=\"opt\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_FREQ_REFRESH1_LABEL") . "
						<input name=\"frequenceRafraichir\" id=\"frequenceRafraichir\" type=\"text\" class=\"inputNumber\" value=\"" . $this->getFrequenceRafraichir() . "\">
						 " . $GLOBALS["langue"]->get("CONFIG_FORM_FREQ_REFRESH2_LABEL") . "
					</div>
					<div class=\"desc\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_FREQ_REFRESH_DESC") . "
					</div>";
						break;

					case "decalageRafraichissement" :
						return "
					<div class=\"opt\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_DECALAGE_REFRESH1_LABEL") . "
						<input name=\"decalageRafraichissement\" id=\"decalageRafraichissement\" type=\"text\" class=\"inputNumber\" value=\"" . $this->getDecalageRafraichissement() . "\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_DECALAGE_REFRESH2_LABEL") . "
					</div>
					<div class=\"desc\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_DECALAGE_REFRESH_DESC") . "
					</div>
						";
						break;
												
					case "checkMaj" :
						return "
						<div class=\"opt\">
						<input name=\"checkMaj[]\" id=\"checkMajtrue\" type=\"checkbox\" value=\"true\"" . ($this->getCheckMaj() ? " checked=\"checked\"" : "") . ">
						<label for=\"checkMajtrue\">" . $GLOBALS["langue"]->get("CONFIG_FORM_CHECK_MAJ_LABEL") . "</label>
					</div>
					<div class=\"desc\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_CHECK_MAJ_DESC", URL_CHECK_MAJ) . "
					</div>
						";
						break;

					case "timezone":
						$out = "<div class=\"opt\">
						<label for=\"timezoneContinent\">" . $GLOBALS["langue"]->get("CONFIG_FORM_TIMEZONE_CONTINENT_LABEL") . "</label>
						<select id=\"timezoneContinent\" name=\"timezoneContinent\" onchange=\"majTimezoneVille(this.value)\">";
										
						list($continentActuel, $villeActelle) = explode("/", $this->get("timezone"), 2);
				
						$listeTz=timezone_identifiers_list();
						$lContinent = array();
						foreach ($listeTz as $tz)
						{
							$dataTz = explode("/", $tz, 2);
							if(count($dataTz)>1)
							{
								if(!isset($lContinent[$dataTz[0]]))
								{
									$lContinent[$dataTz[0]] = array();
								}
								$lContinent[$dataTz[0]][] = $dataTz[1];
							}
						}
				
						$js  = "var listeContinent = new Array();\n";
						$js .= "var villeActuelle = \"$villeActelle\";\n";
						
						foreach ($lContinent as $cont=>$lVille)
						{
							$js .= " listeContinent[\"$cont\"] = new Array(\"" . implode("\",\"", $lVille) . "\");\n";
							$out .= "
							<option value=\"$cont\"" . ($cont == $continentActuel ? " selected" : "") . ">
								$cont
							</option>"; 
						}
						$out .= "
						</select>
						<label for=\"timezoneVille\">; Ville</label>
						
						<select id=\"timezoneVille\" name=\"timezoneVille\">
						</select>
						
						<script type=\"text/javascript\">
						$js
						majTimezoneVille(\"$continentActuel\");
						</script>
					</div>
					<div class=\"desc\">
						" . $GLOBALS["langue"]->get("CONFIG_FORM_TIMEZONE_DESC") . "
					</div>";
					return $out;
		}
		
		return "";
	}


	/**
	 * fonction qui met à jour la configuration
	 * @return String : message d'info
	 */
	public function maj()
	{
		$msg = parent::maj();

		$msg .= $this->verifCoherence();
		
		return $msg;
	}


	/**
	 * méthode qui ve vérifier la cohérence entre le décalage entre 2 mise à jour de flux et la fréquence de rafraichissement
	 */
	public function verifCoherence()
	{
		//on vérifie la cohérence avec la fréquence de rafraichissement des flux : pour qu'on puisse au moins faire un tour avec un nouveau rafraichissement global
		$liste = scandir(CHEMIN_FLUX);
		$nbMaj = ceil(count($liste) / $this->getNbRafraichissement());
		$dureeRafraichissement = (($nbMaj + 1) * $this->getDecalageRafraichissement());
		if(($this->getFrequenceRafraichir()*60) < $dureeRafraichissement)
		{
			$this->listeOption["frequenceRafraichir"][0] = ceil($dureeRafraichissement/60);
		}
		
		//pour pouvoir afficher le détail, il faut le charger
		if($this->getOuvrirDetail() == true)
		{
			$this->listeOption["chargerDetail"][0] = true;
			$this->listeOption["detailOuvertUnique"][0] = false;
		}
		$this->ecrireFichierConf();
	}
}



class FormulaireConfigurationAeres extends FormulaireConfiguration
{
	public function estSpecifique($nomOption)
	{
		return in_array($nomOption, array("timezone", "dateDerniereMAJ"));
	}
	
	public function traitementSpecifique($nomOption)
	{
		switch($nomOption)
		{
			case "timezone" :
				if(!empty($_POST['timezoneContinent']) && !empty($_POST['timezoneVille']))
				{
					$this->listeOption["timezone"][0] = $_POST['timezoneContinent'] . "/" . $_POST['timezoneVille'];
				}

				break;
		}
	}
	
}
?>
