<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
		<header>
			<div class="header">
			<?php 
				$logo = new Logo($langue, CHEMIN_DOSSIER_LOGO);
				$logo->setTexteRemplacement($config->getPseudo());
				echo $logo->toHTML();
				?>
				<div class="title">
					Aeres
				</div>
				<div class="user">
					<?php echo $config->getPseudo(); ?>
				</div>
				<?php require("connexion.php");?>
			</div>
			<nav>
				<ul id="menu">
					<li<?php echo ($pageAAfficher==PAGE_LISTE ? " class='selected'" : ""); ?>>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'] . "?page=" . PAGE_LISTE;?>" title="<?php echo htmlspecialchars($langue->get("MENU_LISTE"));?>"><?php echo $langue->get("MENU_LISTE");?></a>
					</li>
					<?php if($connexion->estConnecte() && $pageAAfficher != PAGE_POPUP_AJOUT_RSS)
					{
					?>
					<li<?php echo ($pageAAfficher==PAGE_OPTION_RSS ? " class='selected'" : ""); ?>>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'] . "?page=" . PAGE_OPTION_RSS;?>" title="<?php echo htmlspecialchars($langue->get("MENU_GERER"));?>"><?php echo $langue->get("MENU_GERER");?></a>
					</li>
					<li<?php echo ($pageAAfficher==PAGE_CONFIG ? " class='selected'" : ""); ?>>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'] . "?page=" . PAGE_CONFIG;?>" title="<?php echo htmlspecialchars($langue->get("MENU_CONFIGURATION"));?>"><?php echo $langue->get("MENU_CONFIGURATION");?></a>
					</li>
					<?php 
					}
					?>
				</ul>
			</nav>
		</header>
		<div id="background">
			aeres
		</div>
		<div id="background2">
			<?php
				switch($pageAAfficher)
				{
					case PAGE_LISTE : echo supprimeAccents($langue->get("MENU_LISTE"));
						break;
					case PAGE_OPTION_RSS : echo supprimeAccents($langue->get("MENU_GERER"));
						break;
					case PAGE_CONFIG : echo supprimeAccents($langue->get("MENU_CONFIGURATION"));
						break;
				}
			?>
		</div>
		
