<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<?php
		$fluxIt = getFluxById($item->getIdFlux());
		
		//on passe l'item à lu (ben si c'est configurer comme ça, déjà) si les détails sont affichés au chargement et il ne faut pas le faire sur les items archivés.
		//Le problème est que le nombre de nouveaux items a déjà été affiché (la liste des flux est affichée avant la liste des items), donc il ne sera pas correcte 
		if($config->getDetailLu() && $config->getOuvrirDetail() && $item->getEtat() == RSS_NON_LU)
		{
			$item->setEtat(RSS_LU);
			$fluxIt->enregistrer();
		}

		$class = "rssListeItem";
		if($item->getEtat() == RSS_NON_LU)
		{
			$class = "rssListeItemNL";
		}
		elseif($item->getEtat() == RSS_LU)
		{
			$class = "rssListeItemLu";
		}
		
		if($pageAAfficher != PAGE_DETAIL_ITEM)
		{
	?> 
		<div id="contenuItem<?php echo $item->getIdFlux() . "." . $item->getId();?>" class="<?php echo $class;?>">
	<?php 
		}

			$classAffiche = " masque";
			if($config->getOuvrirDetail())
			{
				$classAffiche = " affiche";
			}
			?> 
			<div class="rssItem<?php echo $classAffiche;?>" id="rssItem<?php echo $item->getId();?>">
				<?php
				
				if(!$config->getModeCompact())
				{
					require("itemNormal.php");
				}
				else
				{
					require("itemCompact.php");
				}
				?>
				<div class="rssItemDescription" id="item<?php echo $item->getId();?>" style="display : <?php echo ($config->getOuvrirDetail() || ($pageAAfficher == PAGE_DETAIL_ITEM && $itemDetailAffiche) ? "block" : "none");?>;">
				<?php 
				if($config->getChargerDetail() || $modePopup || ($pageAAfficher == PAGE_DETAIL_ITEM && $itemDetailAffiche))
				{
					require("itemDesc.php");
				}
				else
				{
				?>
					<br><em><?php echo $langue->get("ITEM_NON_CHARGER");?></em>
				<?php
				}
				?>
				</div>
			</div>
	<?php 
		if($pageAAfficher != PAGE_DETAIL_ITEM)
		{
	?> 
		</div>
	<?php 
		}
	?> 
