<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<?php 
		if($config->getModeCompact())
		{
			//auteur
			if($item->getAuthor() != "")
			{
?>
<div class="rssItemAuteur">
	<?php echo $langue->get("PAR");?> <span><?php echo $item->getAuthor();?></span>
</div>
<?php 
			}
			//boutons d'édition
			if(!$modePopup)
			{
				$afficheDetail = !$config->getModeCompact();
				$afficheBtnReduction = true;
				$modeDetail = false;
				$force = false;
				require("itemBoutonEdition.php");
			}
		}
?>
<hr>
<?php echo $item->getDescription();?>
<hr>
<?php
		//éventuelles catégories
		if(count($item->getListeCategorie()) > 0)
		{
?>
<div class="itemCategorie">
	<?php echo $langue->get("TAG");?>
	<?php
			foreach($item->getListeCategorie() as $tag)
			{
				echo "<span>$tag</span> ";
			}
	?>
</div>
	<?php
		}
		//enclosure
		if(count($item->getListeEnclosure()) > 0)
		{
			?>
			<fieldset class="media">
				<legend><?php echo $langue->get("MEDIA");?></legend>
			<?php
			foreach($item->getListeEnclosure() as $enclosure)
			{
				if($enclosure['type'] != "")
				{
					$info = explode("/", $enclosure['type']);
					switch(strtolower($info[0])) //TODO à compléter pour les autres type mime
					{
						case "image" : 
							?><img src="<?php echo $enclosure['url'];?>" alt="media"><?php
						break;
						case "audio" : 
							?><a href="<?php echo $enclosure['url'];?>"><?php echo $langue->get("TELECHARGER") . pathinfo($enclosure['url'], PATHINFO_BASENAME);?></a><?php
							if($enclosure['length'] != "")
							{
								echo " (" . convertTaille($enclosure['length']) . ")";
							}
							?>
							<br>
							<audio controls>
								<source src="<?php echo $enclosure['url'];?>">
								<?php echo $langue->get("NAVIGATEUR_INCOMPATIBLE");?>
							</audio>
							<br><?php
						break;
						case "video" : 
							?><a href="<?php echo $enclosure['url'];?>"><?php echo $langue->get("TELECHARGER") . pathinfo($enclosure['url'], PATHINFO_BASENAME);?></a><?php
							if($enclosure['length'] != "")
							{
								echo " (" . convertTaille($enclosure['length']) . ")";
							}
							?>
							<br>
							<video controls>
								<source src="<?php echo $enclosure['url'];?>">
								<?php echo $langue->get("NAVIGATEUR_INCOMPATIBLE");?>
							</video>
							<br><?php
						break;
						default: 
							?><a href="<?php echo $enclosure['url'];?>"><?php echo $langue->get("TELECHARGER") . pathinfo($enclosure['url'], PATHINFO_BASENAME);?></a><?php
							if($enclosure['length'] != "")
							{
								echo " (" . convertTaille($enclosure['length']) . ")";
							}
							?>
							<br><?php
					}
				}
				else
				{
					?><a href="<?php echo $enclosure['url'];?>"><?php echo $langue->get("TELECHARGER") . pathinfo($enclosure['url'], PATHINFO_BASENAME);?></a><?php
					if($enclosure['length'] != "")
					{
						echo " (" . convertTaille($enclosure['length']) . ")";
					}
					?>
					<br><?php
				}
			}
			?>
			</fieldset>
			<?php
		}
		//boutons d'éditions
		if(!$modePopup)
		{
			$afficheDetail = true;
			$afficheBtnReduction = true;
			$modeDetail = true;
			$force = true;
			require("itemBoutonEdition.php");
		}
?>
