<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<!DOCTYPE HTML>
<html>
<?php require("Elements/head.php");?>
	<body>
		<?php
			require("Elements/header.php");
		?>
		<div id="contenu">
			<?php
				$alert = true;
				require("Elements/messageInfo.php");
			?>
			<section class="module" id="divConfig">
				<h1>
					<?php echo $GLOBALS["langue"]->get("TITRE_MODULE_CONFIG");?>
				</h1>
				<div class="cModule">
	
			<?php require("Elements/configurationForm.php");?>
				</div>
			</section>
			<section class="module" id="divCron">
				<h1>
					<?php echo $GLOBALS["langue"]->get("TITRE_MODULE_CONFIG_CRON");?>
				</h1>
				<div class="cModule">
					<?php echo $GLOBALS["langue"]->get("MODULE_CONFIG_CRON_1");?>
					<code>
						<?php echo getServeur() . "/index.php?cron=" . substr($config->getPassCrypte(), 20); ?>
					</code>
					<?php echo $GLOBALS["langue"]->get("MODULE_CONFIG_CRON_2");?>
					<br>
					<br>
					<?php echo $GLOBALS["langue"]->get("MODULE_CONFIG_CRON_3");?>
				</div>
			</section>
		</div>
	<?php require("Elements/footer.php");?>
	</body>
</html>
