<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Aeres.
 *
 *  Aeres is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aeres is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aeres.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<!DOCTYPE HTML>
<html>
<?php require("Elements/head.php");?>
	<body>
		<?php 
		require("Elements/header.php");
		?>
		<div id="contenu">
			<?php 
			require("Elements/messageInfo.php");
			$popup = true;
			require("Elements/formAjout.php");
				
			if($GLOBALS["config"]->getAfficheApercu())
			{
				$flux = new RSS();
				$flux->setUrlFlux($nvlUrl);
	
				$ch = curl_init($nvlUrl);
				curl_setopt($ch, CURLOPT_USERAGENT, $GLOBALS['userAgent']);
				curl_setopt($ch, CURLOPT_FRESH_CONNECT, true);
				curl_setopt($ch, CURLOPT_TIMEOUT, $GLOBALS['timeoutCurl']);
				curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $GLOBALS['timeoutCurl']);
				curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				$xmlStr = curl_exec($ch);
				curl_close($ch);
				$flux->actualiser($xmlStr, false);
				$liste = $flux->getListeItemByEtat(array(RSS_NON_LU));
				usort($liste, "triRssItemParDateInverse");
			?>
			<div class="rss">
				<div class="rssTitle">
					<a href="<?php echo $flux->getLink();?>" title="<?php echo htmlspecialchars($flux->getTitle());?>" target="_blank">
						<?php echo $flux->getTitle();?>
					</a>
					<a href="<?php echo $flux->getUrlFlux();?>" title="<?php echo htmlspecialchars($flux->getTitle());?>" target="_blank">
						<img src="<?php echo CHEMIN_IMAGES_FEED;?>" alt="<?php echo htmlspecialchars($GLOBALS["langue"]->get("URL_RSS"));?>">
					</a>
				</div>
				<div class="rssDescription">
					<?php echo $flux->getDescription();?>
				</div>
				<button type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("TITLE_BTN_DEPLIER_REPLIER"));?>" onclick="voirDetailTout(false)">
					<?php echo $langue->get("LABEL_BTN_DEPLIER_REPLIER");?> 
				</button>
				<?php 
				$listeIdItem = array();
				$idCatAffichee = 0;
				$listeEtat = array(RSS_NON_LU);
				$recherche=false;
				$modePopup=true;
		
				foreach($liste as $item)
				{
					require("Elements/item.php");
					$listeIdItem[] = $item->getIdFlux() . "." . $item->getId();
				}
				?> 
				<button type="button" class="bouton" title="<?php echo htmlspecialchars($langue->get("TITLE_BTN_DEPLIER_REPLIER"));?>" onclick="voirDetailTout(false)">
					<?php echo $langue->get("LABEL_BTN_DEPLIER_REPLIER");?> 
				</button>
				<input type="hidden" name="listeIdItem" id="listeIdItem" value="<?php echo implode($listeIdItem, ",");?>">
				<script type="text/javascript">
				var idItemSelected = 0;
				var idDivOuvert = 0;
				</script>
			</div>
			<?php
			}
			?>
		</div>

	<?php require("Elements/footer.php");?>
	</body>
</html>
